unit qiReg;

interface

uses
  Classes, DsgnIntf, qiField, qiQuery, qiUpdate, qiFormat, qiArchiv, qiDefine,
  qiSelect, qiFilter, qiGroup, qiAutGrp, qiOrder, qiModify, qiLookup, qiWdw,
  qiFrBldr, qiTables, qiFrLine, qiClrsEd, MemoDlg, TablePrn;

procedure Register;

implementation

const
  sDBName = 'DatabaseName';

procedure Register;
begin
  RegisterComponents('QI',
   [TQIFieldInfo, TQIQueryInfo, TQIUpdateInfo, TQIArchiver, TQIFormatter,
    TQITablesDialog, TQIDefineDialog, TQISelectDialog, TQIFilterDialog,
    TQIFilterBuilder, TQIGroupDialog, TQIAutoGroupDialog, TQIOrderDialog,
    TQIModifyDialog, TQILookupDialog, TQIQueryWindow,
    TMemoDialog, TTablePrinter]);
  RegisterComponentEditor(TQIFieldInfo, TQIFieldInfoEditor);
  RegisterComponentEditor(TQIArchiver, TQIArchiverEditor);
  RegisterPropertyEditor(TypeInfo(TQIAboutProperty), nil, '', TQIAboutProperty);
  RegisterPropertyEditor(TypeInfo(TFieldList), TQIFieldInfo, '', TFieldsProperty);
  RegisterPropertyEditor(TypeInfo(TTableList), TQIFieldInfo, '', TTablesProperty);
  RegisterPropertyEditor(TypeInfo(TJoinList),  TQIFieldInfo, '', TJoinsProperty);
  RegisterPropertyEditor(TypeInfo(string), TQIFieldInfo, sDBName, TQIDatabaseNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TQIQueryWindow, sDBName, TQIDatabaseNameProperty);
  RegisterPropertyEditor(TypeInfo(TFilterColors), TQIFilterBuilder, '', TFilterColorsProperty);
end;

end.
